Summary:        Custom op checking attached to subroutines
Name:           perl-Devel-CallChecker
Version:        0.008
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Devel-CallChecker
Source0:        https://cpan.metacpan.org/authors/id/Z/ZE/ZEFRAM/Devel-CallChecker-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  findutils
BuildRequires:  perl-devel perl-generators perl-interpreter
BuildRequires:  perl(Module::Build) perl(strict) perl(warnings)
BuildRequires:  perl(DynaLoader) perl(Exporter) perl(parent)
BuildRequires:  perl(DynaLoader::Functions) >= 0.001
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.15 perl(ExtUtils::ParseXS)
BuildRequires:  perl(File::Spec) perl(IO::File) >= 1.03 perl(Test::More)
BuildRequires:  perl(Test::Pod) >= 1.00 perl(Test::Pod::Coverage)
BuildRequires:  perl(threads) perl(threads::shared) perl(Thread::Semaphore)
Requires:       perl(:MODULE_COMPAT_%perl_version)
Requires:       perl(DynaLoader) perl(DynaLoader::Functions) >= 0.001

%description
This module supports some of the new features of the Perl 5.14.0 C API running the XS module 
on older versions of Perl, it is available using cv_set_call_checker and several support 
functions. (On earlier versions of Perl, you could implement the cv_set_call_checker effect 
from the XS code. But without centralized facilities, it can be painful.)
The features revolve around the function  cv_set_call_checker, which allows XS code to attach 
a magical comment to a Perl subroutine, resulting in resolvable calls to that subroutine that 
can be modified by C code at compile time.

%prep
%autosetup -n Devel-CallChecker-%{version}

%build
perl Build.PL installdirs=vendor optimize="%{optflags}"
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Devel*
%{_mandir}/man3/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.008-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.008-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 22 2022 Wang Guodong <gordonwwang@tencent.com> - 0.008-1
- package init.
